package com.loafle.overflow.central.module.meta.dao;

import static org.junit.Assert.assertNotNull;

import java.util.List;

import com.loafle.overflow.central.spring.AppConfigTest;
import com.loafle.overflow.model.meta.MetaInfraType;
import com.loafle.overflow.model.meta.MetaTargetType;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by snoop on 17. 9. 14.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = { AppConfigTest.class })
public class MetaTargetTypeDAOTest {

    @Autowired
    private MetaTargetTypeDAO metaTargetTypeDAO;

    @Test
    public void findTest() throws Exception {

        List<MetaTargetType> metaTargetTypes = this.metaTargetTypeDAO
                .findAllByMetaInfraType(MetaInfraType.Enum.SERVICE.to());
        assertNotNull(metaTargetTypes);
    }

}
